org.eclipse.graphiti.features.context

## Interface IContext

All Superinterfaces:
  IPropertyBag

All Known Subinterfaces:
  IAddBendpointContext, IAddConnectionContext, IAddContext, IAreaContext, IConnectionContext, ICopyContext, ICreateConnectionContext, ICreateContext, ICustomContext, IDeleteContext, IDirectEditingContext, IDoubleClickContext, ILayoutContext, ILocationContext, IMoveAnchorContext, IMoveBendpointContext, IMoveConnectionDecoratorContext, IMoveContext, IMoveShapeContext, IPasteContext, IPictogramElementContext, IPictogramElementsContext, IPrintContext, IReconnectionContext, IRemoveBendpointContext, IRemoveContext, IResizeContext, IResizeShapeContext, ISaveImageContext, ISingleClickContext, ISplitConnectionContext, ITargetConnectionContext, ITargetConnectionDecoratorContext, ITargetContext, IUpdateContext

All Known Implementing Classes:
  AbstractClickContext, AddBendpointContext, AddConnectionContext, AddContext, AreaAnchorContext, AreaContext, CopyContext, CreateConnectionContext, CreateContext, CustomContext, DefaultContext, DeleteContext, DetailedPictogramElementContext, DirectEditingContext, DoubleClickContext, IdLayoutContext, IdUpdateContext, LayoutContext, LocationContext, MoveBendpointContext, MoveConnectionDecoratorContext, MoveContext, MoveShapeContext, PasteContext, PictogramElementContext, PictogramElementsContext, PrintContext, ReconnectionContext, RemoveBendpointContext, RemoveContext, ResizeContext, ResizeShapeContext, SaveImageContext, SingleClickContext, SplitConnectionContext, UpdateContext

    public interface IContext
    extends IPropertyBag

The Interface IContext.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`